Subject: Re: libfdt: going forward for u-boot

From: David Gibson <[email-masked]>
Date: Fri, 23 Mar 2007 15:17:08 +1100

On Thu, Mar 22, 2007 at 11:42:06AM -0500, Hollis Blanchard wrote:
> On Thu, 2007-03-22 at 11:49 +1100, David Gibson wrote:
> > 
> > I'm actually more inclined to just remove the #include from fdt.h
> > entirely and require users to provide the stdint types, by whatever
> > means, before they include fdt.h.  It's a bit icky, but I think it's
> > the sanest way to allow building in multiple environment. 
> 
> I agree. I've done something similar in a few places now, and it's the
> best solution I've found.

I just pushed out a new libfdt which removes the #include from fdt.h
as discussed.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson